# Copyright 2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


from .version import __version__, __version_info__
from .logger import Logger
from .linelogger import LineLogger
from .target import Target, create_targets_from_ick
from .build_step import BuildStep
from .run_state import RunState
from .pipeline import BuildPipeline
from .os_release import parse_os_release, OsRelease, NoOsReleaseInformation
from .step_build_info import CreateBuildInfo, FinishBuildInfo
from .step_create_tarball import CreateCITarball, CreateReleaseTarballs
from .step_debian_apt_setup import SetupAPTRepository
from .step_debian_binary import (
    CreateCIDebianBinaryPackages,
    CreateDebianBinaryPackagesForRelease,
)
from .step_debian_changes import FindDebianChangesFiles
from .step_debian_ci_upload import UploadDebianPackagesToCIRepo
from .step_debian_info import CollectDebianInfoAboutTargets
from .step_debian_publish import PublishDebianPackages
from .step_debian_source import (
    CreateDebianSourcePackagesForCI,
    CreateDebianSourcePackagesForRelease,
)
from .step_find_current_commit import FindCurrentGitCommits
from .step_find_new_commit import (
    FindNewCommitToBuildForShell,
    FindNewCommitToBuildForLocalShell,
    FindNewCommitToBuildForDebianCI,
)
from .step_find_tags_debian_release import FindTagsToBuildForDebianRelease
from .step_git_clone import CloneGits
from .step_project_info import LoadProjectInfo, SaveProjectInfo
from .step_run_shell import RunShellCommandsOnEachTarget, RunLocalShellCommands
from .project import create_projects_from_ick
from .git import GitClone
from .info import InformationStore
from .buildinfo import BuildInformation
from .projectinfo import ProjectInformation
from .statedir import StateDirectory, create_statedir_from_ick
from .progress import QuietProgress, FancyProgress, VerboseProgress
