# Copyright 2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


import unittest

import icklib


class BuildStepTests(unittest.TestCase):

    def test_sets_project(self):
        step = icklib.BuildStep()
        step.set_project('project')
        self.assertEqual(step.project, 'project')

    def test_sets_statedir(self):
        step = icklib.BuildStep()
        step.set_statedir('statedir')
        self.assertEqual(step.statedir, 'statedir')

    def test_sets_targets(self):
        step = icklib.BuildStep()
        step.set_targets(['target'])
        self.assertEqual(step.targets, ['target'])

    def test_sets_run_state(self):
        step = icklib.BuildStep()
        step.set_run_state({})
        self.assertEqual(step.run_state, {})

    def test_sets_pipeline(self):
        step = icklib.BuildStep()
        step.set_pipeline({})
        self.assertEqual(step.pipeline, {})

    def test_build_raises_not_implemented_error(self):
        step = icklib.BuildStep()
        with self.assertRaises(NotImplementedError):
            step.build()
