# Copyright 2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


import os
import shutil
import tempfile
import unittest

import icklib


class ProjectInformationTests(unittest.TestCase):

    def setUp(self):
        self.tempdir = tempfile.mkdtemp()
        self.filename = os.path.join(self.tempdir, 'project.yaml')

    def tearDown(self):
        shutil.rmtree(self.tempdir)

    def test_saves_then_loads(self):
        project_info = icklib.ProjectInformation()
        project_info.set_filename(self.filename)
        project_info.seen_tags = ['tag1', 'tag2']
        project_info.save()

        loaded = icklib.ProjectInformation()
        loaded.set_filename(self.filename)
        loaded.load()

        self.assertEqual(
            project_info.seen_tags,
            loaded.seen_tags)
