# Copyright 2016  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


import glob
import os
import urllib
import urlparse

import icklib


class FindDebianChangesFiles(icklib.BuildStep):

    def build(self):
        self.run_state.changes_files = []
        if self.building():
            artifacts = self.run_state.build_info.create_artifacts_directory()
            for changes in glob.glob(os.path.join(artifacts, '*.changes')):
                changes_url = urlparse.urljoin(
                    'file://',
                    urllib.quote(os.path.abspath(changes)))
                self.run_state.changes_files.append(changes_url)

    def building(self):
        names = [
            'build_using_shell',
            'build_using_debian_ci',
            'build_tags_using_debian_release',
        ]
        return any(getattr(self.run_state, x, False) for x in names)
