# Copyright 2016  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


import icklib


class FindNewCommitToBuildForShell(icklib.BuildStep):

    def build(self):
        if self._needs_to_be_built():
            self.run_state.build_using_shell = True
        else:
            self.run_state.build_using_shell = False
            self.run_state.logger.important(
                'No need to build {project_name}',
                project_name=self.project.name)

    def _needs_to_be_built(self):
        built_commits = self.run_state.project_info.built_commits
        built = built_commits.get(self.run_state.pipeline.name, None)
        return built != self.run_state.commits


class FindNewCommitToBuildForLocalShell(icklib.BuildStep):

    def build(self):
        if self._needs_to_be_built():
            self.run_state.build_using_local_shell = True
        else:
            self.run_state.build_using_local_shell = False
            self.run_state.logger.important(
                'No need to build {project_name}',
                project_name=self.project.name)

    def _needs_to_be_built(self):
        built_commits = self.run_state.project_info.built_commits
        built = built_commits.get(self.run_state.pipeline.name, None)
        return built != self.run_state.commits


class FindNewCommitToBuildForDebianCI(icklib.BuildStep):

    def build(self):
        if self._needs_to_be_built():
            self.run_state.build_using_debian_ci = True
            self.run_state.collect_debian_info = True
        else:
            self.run_state.build_using_debian_ci = False
            self.run_state.collect_debian_info = False
            self.run_state.logger.important(
                'No need to build {project_name}',
                project_name=self.project.name)

    def _needs_to_be_built(self):
        built_commits = self.run_state.project_info.built_commits
        built = built_commits.get(self.run_state.pipeline.name, None)
        return built != self.run_state.commits
